Skip to main content
POST
/
sessions
/
create
Create Session
curl --request POST \
  --url https://api.swoogo.com/api/v1/sessions/create \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/x-www-form-urlencoded' \
  --data date=2016-01-22 \
  --data event_id=1 \
  --data 'name=Sample Session'
{
  "event_id": 67890,
  "name": "Event Management Basics",
  "id": 12345,
  "admin_short_name": "MgmtBasics",
  "badge_name": "Basics of Management",
  "description": "An interactive workshop on event management fundamentals.",
  "date": "2025-07-20",
  "start_time": "10:00:00",
  "end_time": "12:00:00",
  "use_event_timezone": 1,
  "timezone": "America/New_York",
  "capacity": 150,
  "location_id": 1234,
  "track_id": 5678,
  "webinar_url": "https://example.com/webinar/12345",
  "sold_out_message": "This session is fully booked.",
  "secure_id": "abc123xyz",
  "session_status": "approved",
  "locked_when_saved": 1,
  "selection_control": "optional",
  "selected_by_default": 1,
  "prevent_session_conflicts": 1,
  "custom_fields": {
    "c_1001": "Value1",
    "c_1002": [
      {
        "id": 123
      }
    ]
  }
}

Authorizations

Authorization
string
header
required

OAuth 2.0 bearer token obtained from POST /oauth2/token. Tokens expire after 30 minutes. Include in the Authorization header as Bearer {access_token}.

Body

application/x-www-form-urlencoded
event_id
integer
required

ID of the event associated with this session.

Example:

67890

name
string
required

Title or name of the session.

Example:

"Event Management Basics"

id
integer

Unique identifier for the session.

Example:

12345

admin_short_name
string

Admin-specific short name for internal usage.

Example:

"MgmtBasics"

badge_name
string

Display name on attendee badges.

Example:

"Basics of Management"

description
string

Detailed description of the session.

Example:

"An interactive workshop on event management fundamentals."

date
string<date>

The date when the session will take place.

Example:

"2025-07-20"

start_time
string<time>

Start time of the session.

Example:

"10:00:00"

end_time
string<time>

End time of the session.

Example:

"12:00:00"

use_event_timezone
integer

Whether the event's default timezone is applied to the session.

Example:

1

timezone
string

Timezone for the session. For a list of TZ check TZ Identifier column in this page.

Example:

"America/New_York"

capacity
integer

Maximum number of attendees allowed.

Example:

150

location_id
integer

Identifier for the location.

Example:

1234

track_id
integer

Identifier for the session's track.

Example:

5678

webinar_url
string<uri>

URL for the webinar if the session is virtual.

Example:

"https://example.com/webinar/12345"

sold_out_message
string

Custom message displayed when the session is sold out.

Example:

"This session is fully booked."

secure_id
string

Secure identifier for the session.

Example:

"abc123xyz"

session_status
enum<string>

Current status of the session.

Available options:
submitted,
approved,
rejected,
converted,
live
Example:

"approved"

locked_when_saved
enum<integer>

Whether the session is locked after being saved.

Available options:
0,
1
Example:

1

selection_control
enum<string>

Specifies whether the session is optional or included by default, setting the value 'session_included'.

Available options:
optional,
included
Example:

"optional"

selected_by_default
enum<integer>

Indicates if the session is selected by default for attendees.

Available options:
0,
1
Example:

1

prevent_session_conflicts
enum<integer>

Whether when selecting this session should prevent conflicts with other sessions.

Available options:
0,
1
Example:

1

custom_fields
object

Custom fields associated with the session.

Example:
{
"c_1001": "Value1",
"c_1002": [{ "id": 123 }]
}

Response

Create Object

event_id
integer
required

ID of the event associated with this session.

Example:

67890

name
string
required

Title or name of the session.

Example:

"Event Management Basics"

id
integer

Unique identifier for the session.

Example:

12345

admin_short_name
string

Admin-specific short name for internal usage.

Example:

"MgmtBasics"

badge_name
string

Display name on attendee badges.

Example:

"Basics of Management"

description
string

Detailed description of the session.

Example:

"An interactive workshop on event management fundamentals."

date
string<date>

The date when the session will take place.

Example:

"2025-07-20"

start_time
string<time>

Start time of the session.

Example:

"10:00:00"

end_time
string<time>

End time of the session.

Example:

"12:00:00"

use_event_timezone
integer

Whether the event's default timezone is applied to the session.

Example:

1

timezone
string

Timezone for the session. For a list of TZ check TZ Identifier column in this page.

Example:

"America/New_York"

capacity
integer

Maximum number of attendees allowed.

Example:

150

location_id
integer

Identifier for the location.

Example:

1234

track_id
integer

Identifier for the session's track.

Example:

5678

webinar_url
string<uri>

URL for the webinar if the session is virtual.

Example:

"https://example.com/webinar/12345"

sold_out_message
string

Custom message displayed when the session is sold out.

Example:

"This session is fully booked."

secure_id
string

Secure identifier for the session.

Example:

"abc123xyz"

session_status
enum<string>

Current status of the session.

Available options:
submitted,
approved,
rejected,
converted,
live
Example:

"approved"

locked_when_saved
enum<integer>

Whether the session is locked after being saved.

Available options:
0,
1
Example:

1

selection_control
enum<string>

Specifies whether the session is optional or included by default, setting the value 'session_included'.

Available options:
optional,
included
Example:

"optional"

selected_by_default
enum<integer>

Indicates if the session is selected by default for attendees.

Available options:
0,
1
Example:

1

prevent_session_conflicts
enum<integer>

Whether when selecting this session should prevent conflicts with other sessions.

Available options:
0,
1
Example:

1

custom_fields
object

Custom fields associated with the session.

Example:
{
"c_1001": "Value1",
"c_1002": [{ "id": 123 }]
}